%define		php_name	php%{?php_suffix}
%define		modname	id3
%define		status		alpha
Summary:	%{modname} - functions to read and write ID3 tags in MP3 files
Summary(pl.UTF-8):	%{modname} - funkcje do odczytu i zapisu tagów ID3 w plikach MP3
Name:		%{php_name}-pecl-%{modname}
Version:	0.2
Release:	8
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	c19445a5b676a7d5b90d5d19affa9ced
URL:		http://pecl.php.net/package/id3/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
id3 enables to to retrieve and update information from ID3 tags in MP3
files. It supports version 1.0 and version 1.1.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
id3 umożliwia odbiór i aktualizację informacji w tagach ID3 w plikach
MP3. Wspiera wersję 1.0 oraz 1.1.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS EXPERIMENTAL TODO
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-id3.git;a=log;h=AC-branch

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> ad8699a
provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> bf4151e
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 22d38fa
- release 7

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 928c198
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 222b393
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e8f5816
- converted to UTF-8

* Thu Dec 28 2006 Elan Ruusamäe <glen@pld-linux.org> 11f7e47
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 42312b8
- rel 6 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 5b3c755
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 1a1e930
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> ed0b8b0
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 146626c
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 2f56736
- rel 2

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 0a81699
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 3452dfc
- superfluous BR libtool removed

* Sat Oct 02 2004 Adam Gołębiowski <adamg@pld-linux.org> 692c0c2
- updated to 0.2

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> b68c718
- proper URL
- added TODO to %doc
- typos

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 7584f97
- new

